Subject: FVWM: Problems with button bar

From: [email-masked] (Robert H. Ford II)
Date: Wed, 30 Jul 1997 11:53:59 -0500

I am running Fvwm Version 2.0.45 compiled on Mar 19 1997 at 12:48:29 under
x11r6.1.

First let me start off by saying that I use xscreensaver to lock my workstation
and about 1 out of 6 times when I unlock my screen the button bar will be gone
and the following message will be in my console:

X Error (intercepted): BadDrawable (invalid Pixmap or Window parameter)
Major Request Code   : 62
Minor Request Code   : 0
Resource ID (XID)    : 138412053
Error Serial Number  : 371799

These are the lines in my .fvwm2rc file for the button bar(s):

# FvwmButtons Configuration file
*FvwmButtonsFile /home/misha21/.fvwm2/buttons/fvwmbuttons

# XtoolsButtons Configuration file
*XtoolsButtonsFile /home/misha21/.fvwm2/buttons/xtoolsbuttons

And the following is my fvwmbuttons file:

###################### FvwmButtons button-bar ###########################

# Colors
Fore white
Back turquoise4

# Font
Font -misc-fixed-medium-r-normal-*-10-*-*-*-*-*-*-*

# Geometry - really likes to pick its own size, but giving a position is OK
Geometry +1040+417

# Layout: specify rows or columns, not both
Columns 2

# Define the buttons to use.....
(2x4,Container(Rows5, Frame 1))
(1x1,Container(Columns2, Frame 1))
(Icon locker.xpm,NoSize,Back firebrick3,Frame 5, \
        Action(Mouse 1) 'Exec exec AutoLockerActive.sh &', \
        Action(Mouse 2) 'Exec exec AutoLockerReStart.sh &', \
        Action(Mouse 3) 'Exec exec AutoLockerExit.sh &', \
        Font -adobe-helvetica-medium-r-*-*-8-*-*-*-*-*-*-*)
(Swallow (Kill) "xcmap" "Exec exec xcmap &",Back grey26)
(End)
(1x3,Swallow (Respawn) "FvwmPager" "FvwmPager 0 5",Frame 0,Back grey89)
(Swallow (Kill) "Perfmeter" "Exec exec perfmeter -g -t cpu -bg turquoise4 -fg
wh
ite &")
(End)

(Title ihgp95b,Icon myxterm.1.xpm,Frame 5,Action \
        'Exec "ihgp95b" exec xterm -name ihgp95b -title ihgp95b & ', \
        Font -adobe-helvetica-medium-r-*-*-8-*-*-*-*-*-*-*)
(Title Xadm,Icon sm_xadm.xpm,Frame 5, \
        Action(Mouse 1) 'Exec "xadm" exec xterm -title xadm -e rlogin ihtools1
-
l xadm &' \
        Action(Mouse 2) 'Exec "xadm" exec xterm -title xadm -e rlogin ihgplic
-l
 xadm &' \
        Action(Mouse 3) 'Exec "xadm" exec xterm -title xadm -e rlogin ihgp24 -l
xadm &')
(Title XTOOLS,Icon Rarw05lt.xpm,Frame 5,Action \
        "Module FvwmButtons XtoolsButtons")
(Title Rlogin,Icon my_rlogin.xpm,Frame 5,Action \
        "Function Find-or-Start tkrl")
(Title ADEPT,Icon adept2.xpm,Frame 5, \
        Action(Mouse 1) 'Exec "Adept" exec /u103/adept/bin/radept ihgp2 &' \
        Action(Mouse 3) 'Exec "Adept" exec /u103/adept/bin/radept ihgp2 -mci
&')
(Title Netscape,Icon sm_netscape.xpm,Frame 5,Action \
        "Function Find-or-Start Netscape",\
        Font -misc-fixed-medium-r-normal-*-7-*-*-*-*-*-*-*)

If anyone has any ideas of what is happening, I would greatly appreciate the
help.

Also, could whomever replies to this message also include my address
([email-masked]).  For some reason I am not getting any email from this
group anymore.

Thank You.

-- 
    _/_/_/     _/  _/   _/_/_/_/   _/_/_/_/_/_/ Robert H. Ford II
   _/   _/    _/  _/   _/           _/    _/    Lucent Technologies
  _/_/_/     _/_/_/   _/_/_/       _/    _/     Bell Labs Innovations
 _/   _/    _/  _/   _/           _/    _/      Naperville IL, 60566-7045
_/    _/   _/  _/   _/         _/_/_/_/_/_/     Email: [email-masked]
                                                Voice: (630) 713-4957
__________________________________________________
|  M R spiders!                    |      |   |  |
|  M N O spiders!                  |      |   |  |
|  O S A R - C D E D B D I's?      |      |   |  |
|  Y I B, M R spiders...           |      |   *  |
|                                  *      |      |
|                                         *      |
--------------------------------------------------
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].